Bug 978719 - Warning: option deprecated, use lost_tick_policy property of kvm-pit instead.
Warning: option deprecated, use lost_tick_policy property of kvm-pit instead.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
20
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ján Tomko
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 02:06 EDT by Jan ONDREJ
Modified: 2013-11-25 23:11 EST (History)
12 users (show)

See Also:
Fixed In Version: libvirt-1.1.3.1-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-25 23:11:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
libvirt XML config (3.29 KB, text/xml)
2013-06-27 02:06 EDT, Jan ONDREJ
no flags Details
Log file. (54.56 KB, text/plain)
2013-06-27 02:07 EDT, Jan ONDREJ
no flags Details

  None (edit)
Description Jan ONDREJ 2013-06-27 02:06:27 EDT
Created attachment 765955 [details]
libvirt XML config

Description of problem:
Libvirt configures clock in way which is deprecated by qemu.

Version-Release number of selected component (if applicable):
libvirt-0.10.2.6-1.fc18.x86_64
qemu-kvm-1.2.2-11.fc18.x86_64

How reproducible:
always

Steps to Reproduce:
configuration and logfile attached

Actual results:
Warning: option deprecated, use lost_tick_policy property of kvm-pit instead.

My current clock settings:
  <clock offset='variable' adjustment='2' basis='utc'>
    <timer name='rtc' tickpolicy='catchup'/>
    <timer name='pit' tickpolicy='delay'/>
    <timer name='hpet' present='yes'/>
  </clock>
Comment 1 Jan ONDREJ 2013-06-27 02:07:10 EDT
Created attachment 765956 [details]
Log file.
Comment 2 Ján Tomko 2013-07-01 12:36:53 EDT
Upstream patch proposed:
https://www.redhat.com/archives/libvir-list/2013-July/msg00045.html
Comment 3 Cole Robinson 2013-09-25 13:50:00 EDT
jtomko, did a fix ever make it upstream?
Comment 4 Ján Tomko 2013-09-26 04:52:49 EDT
It didn't. And the patch was wrong, I've sent an updated version:
https://www.redhat.com/archives/libvir-list/2013-September/msg01560.html
Comment 5 Cole Robinson 2013-10-05 15:54:34 EDT
Moving to the upstream tracker
Comment 6 Ján Tomko 2013-11-05 10:10:42 EST
Now pushed upstream:
commit 1569fa14d8f6b6636cf78d7ee62ae3bd205f5638
Author:     Ján Tomko <jtomko@redhat.com>
CommitDate: 2013-11-05 16:04:06 +0100

    qemu: don't use deprecated -no-kvm-pit-reinjection
Comment 7 Cole Robinson 2013-11-10 10:53:59 EST
Thanks Jan. Given that we are now using this XML by default in F20, this error message is in every new VM log, so moving this back to Fedora so we can track the backport.
Comment 8 Ján Tomko 2013-11-13 04:42:15 EST
Now pushed to v1.1.3-maint:
commit e20a2c775a07aad3a5309785dd75909aacc48d95
CommitDate: 2013-11-13 10:33:44 +0100
git describe: v1.1.3.1-4-ge20a2c7
Comment 9 Fedora Update System 2013-11-18 09:03:39 EST
libvirt-1.1.3.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libvirt-1.1.3.1-2.fc20
Comment 10 Fedora Update System 2013-11-18 15:19:19 EST
Package libvirt-1.1.3.1-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-1.1.3.1-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21624/libvirt-1.1.3.1-2.fc20
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-11-25 23:11:11 EST
libvirt-1.1.3.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.